#
# spec file for package java-1_5_0-sun (Version 1.5.0_update16)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv jpackage-utils klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives update-desktop-files util-linux vim zlib zlib-devel


Name:           java-1_5_0-sun
BuildRequires:  jpackage-utils update-alternatives update-desktop-files
%define section         non-free
%define origin          sun
%define priority        1518
%define javaver         1.5.0
%define cvsver          1_5_0
%define buildver        16
%define cvsversion	%{cvsver}_%{buildver}
#define cvsversion	%{cvsver}
%define javaws_ver      %{javaver}
%define javaws_version  %{cvsversion}
%define toplevel_dir    jdk%{javaver}_%{buildver}
#define toplevel_dir    jdk%{javaver}
%define sdklnk          java-%{javaver}-%{origin}
%define jrelnk          jre-%{javaver}-%{origin}
%define suse_release    %{nil}
%define sdkdir          java-1.5.0-sun-%{version}%{suse_release}
%define jredir          %{sdkdir}/jre
%define sdkbindir       %{_jvmdir}/%{sdklnk}/bin
%define sdklibdir       %{_jvmdir}/%{sdklnk}/lib
%define jrebindir       %{_jvmdir}/%{jrelnk}/bin
%define jvmjardir       %{_jvmjardir}/java-1.5.0-sun-%{version}%{suse_release}
%define x11bindir       %{_prefix}/X11R6/bin
%define x11encdir       %{_prefix}/X11R6/lib/X11/fonts/encodings
%define fontconfigdir   %{_sysconfdir}/fonts
%define fontdir         %{_datadir}/fonts/java
%define xsldir          %{_datadir}/xml/%{name}-%{version}
%ifarch %ix86
%define pluginsdir      %{_libdir}/browser-plugins
%define pluginpath      %{_jvmdir}/%{jredir}/plugin/i386/ns7
%define pluginname      libjavaplugin_oji.so 
%endif
%define cgibindir       %{_var}/www/cgi-bin
# Avoid RPM 4.2+'s internal dep generator, it may produce bogus
# Provides/Requires here.
%define _use_internal_dependency_generator 0
# This prevents aggressive stripping.
%define debug_package %{nil}
Version:        1.5.0_update16
Release:        1.3
Summary:        Java(TM) 5 Runtime Environment
License:        Any commercial
Group:          Development/Languages/Java
Url:            http://java.sun.com/j2se/1.5.0/
Source0:        jdk-%{cvsversion}-linux-i586.bin
NoSource:       0
Source1:        jdk-%{cvsversion}-linux-amd64.bin
NoSource:       1 
#Source1:        %{name}-register-java-fonts.xsl
#Source2:        %{name}-unregister-java-fonts.xsl
Source3:        fontconfig.SuSE.properties
%define tzversion 1_3_9-2008g
Source100:      tzupdater-%{tzversion}.zip
NoSource:       100
%define         tzupdate true
Provides:       jre-%{javaver}-%{origin} = %{version}-%{release}
Provides:       jre-%{origin} = %{version}-%{release}
Provides:       jre-%{javaver}, java-%{javaver}, jre = %{javaver}
Provides:       java-%{origin} = %{version}-%{release}
Provides:       java = %{javaver}
Requires:       update-alternatives
Requires:       jpackage-utils >= 1.5.38
Conflicts:      kaffe
ExclusiveArch:  %ix86 x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%ifarch %ix86
Provides:       javaws = %{javaws_ver}
%endif
Provides:       jndi = %{javaver}, jndi-ldap = %{javaver}
Provides:       jndi-cos = %{javaver}, jndi-rmi = %{javaver}
Provides:       jndi-dns = %{javaver}
Provides:       jaas = %{javaver}
Provides:       jsse = %{javaver}
Provides:       jce = %{javaver}
Provides:       jdbc-stdext = 3.0, jdbc-stdext = %{javaver}
Provides:       java-sasl = %{javaver}
Provides:       jre1.1.x jre1.2.x jre1.3.x jre1.4.x jre1.5.x
Obsoletes:      java2-jre
Provides:       java2-jre
PreReq:         update-alternatives
%ifarch %ix86
Obsoletes:      javaws-menu
%endif
Provides:       j2re = 1.5.0, j2re

%description
Java(TM) 5 Runtime Environment

The Java(TM) 5 Runtime Environment contains the Java virtual machine,
runtime class libraries, and Java application launcher that are
necessary to run programs written in the Java progamming language. It
is not a development environment and does not contain development tools
such as compilers and debuggers. For development tools, see the
java-1.5.0-sun-devel package.

The Java 5 Runtime Environment is intended for software developers and
vendors who wish to redistribute their applications.



%debug_package
%package        devel
License:        Any commercial
Summary:        Java(TM) 5 SDK, Standard Edition
Group:          Development/Languages/Java
Requires:       update-alternatives
Provides:       java-sdk-%{javaver}-%{origin} = %{version}-%{release}
Provides:       java-sdk-%{origin} = %{version}-%{release}
Provides:       java-sdk-%{javaver}, java-sdk = %{javaver}
Provides:       java-devel-%{origin} = %{version}-%{release}
Provides:       java-%{javaver}-devel, java-devel = %{javaver}
Requires:       %{name} = %{version}-%{release}
Provides:       j2sdk = 1.5.0, j2sdk

%description    devel
The Java 5 SDK is a development environment for building applications,
applets, and components using the Java programming language.

The Java 5 SDK includes tools useful for developing and testing
programs written in the Java programming language and running on the
Java platform. These tools are designed to be used from the command
line. Except for the appletviewer, these tools do not provide a
graphical user interface.



%package        src
License:        Any commercial
Summary:        Source files for java-1_5_0-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description    src
This package contains the sources of all classes that make up the Java
5 Standard Edition API, as provided by Sun.



%package        demo
License:        Any commercial
Summary:        Demonstration files for java-1_5_0-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
# Without this a requirement on libjava_crw_demo_g.so is added which
# is not in the main java package. libjava_crw_demo.so is but not "_g".
AutoReq:        0

%description    demo
This package contains demonstration files for java-1_5_0-sun.



%ifarch %ix86 

%package        plugin
License:        Any commercial
Summary:        Browser plugin files for java-1_5_0-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
Requires:       %{_bindir}/find, sed
Provides:       java-plugin = %{javaver}, java-%{javaver}-plugin = %{version}
Conflicts:      java-%{javaver}-ibm-plugin, java-%{javaver}-blackdown-plugin
Conflicts:      java-%{javaver}-bea-plugin
Obsoletes:      java-1.3.1-plugin, java-1.4.0-plugin, java-1.4.1-plugin, java-1.4.2-plugin

%description    plugin
This package contains browser plugin files for java-1_5_0-sun. Note:
this package supports browsers built with GCC 3.2 and later



%endif

%package        alsa
License:        Any commercial
Summary:        ALSA support for java-1_5_0-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description    alsa
This package contains Advanced Linux Sound Architecture (ALSA) support
libraries for java-1_5_0-sun.



%package        jdbc
License:        Any commercial
Summary:        JDBC/ODBC bridge driver for java-1_5_0-sun
Group:          Development/Languages/Java
AutoReq:        0
Requires:       %{name} = %{version}-%{release}
Requires:       %{_libdir}/libodbc.so, %{_libdir}/libodbcinst.so
Provides:       %{name}-jdbc = %{version}, %{name}-jdbc,  java-jdbc = %{version}, java-jdbc

%description    jdbc
This package contains the JDBC/ODBC bridge driver for java-1_5_0-sun.



%prep
rm -rf $RPM_BUILD_DIR/%{toplevel_dir}
export MORE=10000
%ifarch %ix86
sh %{SOURCE0} <<EOF >/dev/null
yes
EOF
%endif
%ifarch x86_64
sh %{SOURCE1} <<EOF >/dev/null
yes
EOF
%endif
%setup -T -D -n %{toplevel_dir}
chmod -R go=u-w *
chmod -R u+w *
if [ "%tzupdate" = "true" ]
then
%define tzname %(echo %{tzversion} | sed 's/_/./g')
  unzip %{SOURCE100}
  ./bin/java -jar tzupdater-%{tzname}/tzupdater.jar -v -u
fi

%build
# Nope.

%install
rm -rf $RPM_BUILD_ROOT
%ifarch %ix86
# fix up ControlPanel APPHOME and bin locations
perl -p -i -e 's|APPHOME=.*|APPHOME=%{_jvmdir}/%{jredir}|' jre/bin/ControlPanel
perl -p -i -e 's|/usr/bin/||g' jre/bin/ControlPanel
# fix up (create new) HtmlConverter
cat > bin/HtmlConverter << EOF
%{jrebindir}/java -jar %{sdklibdir}/htmlconverter.jar $*
EOF
# fix up java-rmi.cgi PATH
perl -p -i -e 's|PATH=.*|PATH=%{jrebindir}|' bin/java-rmi.cgi
# XXX: what's that?
# install java-rmi-cgi
#install -D -m 755 bin/java-rmi.cgi $RPM_BUILD_ROOT%{cgibindir}/java-rmi-%{version}.cgi
%endif
# main files
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
cp -a bin include lib src.zip $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
# extensions handling
install -d -m 755 $RPM_BUILD_ROOT%{jvmjardir}
pushd $RPM_BUILD_ROOT%{jvmjardir}
   ln -s %{_jvmdir}/%{jredir}/lib/jsse.jar jsse-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/jce.jar jce-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-ldap-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-cos-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-rmi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jaas-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jdbc-stdext-%{version}.jar
   ln -s jdbc-stdext-%{version}.jar jdbc-stdext-3.0.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar sasl-%{version}.jar
   for jar in *-%{version}.jar ; do
      if [ x%{version} != x%{javaver} ]; then
         ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|-%{javaver}.jar|g")
      fi
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd
# rest of the jre
cp -a jre/bin jre/lib $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib
%ifarch %ix86
cp -a jre/javaws jre/plugin $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
%endif
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/endorsed
# jce policy file handling
install -d -m 755 $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
for file in local_policy.jar US_export_policy.jar; do
  mv $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file \
    $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
  # for ghosts
  touch $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file
done
# versionless symlinks
pushd $RPM_BUILD_ROOT%{_jvmdir}
ln -s %{jredir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd
pushd $RPM_BUILD_ROOT%{_jvmjardir}
ln -s %{sdkdir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd
%ifarch %ix86
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -Dpm 644 jre/plugin/desktop/sun_java.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/sun-java-%{version}-%{release}.png
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop
[Desktop Entry]
Name=Sun Java %{version} Java Plug-in Control Panel
GenericName=Java Plugin Control Panel
Comment=Sun Java %{version} Java Plug-in Control Panel
Exec=%{_jvmdir}/%{jredir}/bin/ControlPanel
Icon=sun-java-%{version}-%{release}.png
Terminal=false
Type=Application
Encoding=UTF-8
EOF
%suse_update_desktop_file $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop -r Java System SystemSetup
# menu entry for web start (reuse plugin control panel icon)
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop
[Desktop Entry]
Name=Sun Java %{version} Java Web Start
GenericName=Java Web Start
Comment=Java Web Start Application Manager
Exec=%{_jvmdir}/%{jredir}/javaws/javaws
Icon=sun-java-%{version}-%{release}.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;System;Java;X-JPackage;
EOF
chmod 644 $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop
%suse_update_desktop_file $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop -r Java System Monitor 
%endif
# man pages
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
for manpage in man/man1/*; do
  install -m 644 -p $manpage $RPM_BUILD_ROOT%{_mandir}/man1/`basename $manpage .1`-%{name}.1
done
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/java-1.5.0-sun
cp -a demo $RPM_BUILD_ROOT%{_datadir}/java-1.5.0-sun
%ifarch %ix86
# ghost plugin installation lists
for i in mozilla firefox ; do
  touch $RPM_BUILD_ROOT%{_datadir}/java-1.5.0-sun/$i-plugin-dirs
done
%endif
# Most of this shamelessly stolen from redhat's kdebase-2.2.2 specfile
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d \
  | sed 's|'$RPM_BUILD_ROOT'|%dir |' >  %{name}-%{version}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f -o -type l \
  | sed 's|'$RPM_BUILD_ROOT'||'      >> %{name}-%{version}-all.files
%ifarch %ix86
grep plugin  %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-plugin.files
%endif
grep Jdbc    %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-jdbc.files
grep -F alsa.so %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-alsa.files
cat %{name}-%{version}-all.files \
  | grep -v plugin \
  | grep -v Jdbc \
  | grep -v lib/fonts \
  | grep -vF alsa.so \
  | grep -v jre/lib/security \
  > %{name}-%{version}.files

%clean
rm -rf $RPM_BUILD_ROOT

%post
# set link to javaws ... remove old link, as older versions had a directory as a target
%ifarch %ix86
if [ -e /usr/bin/javaws ]
then
  rm -f /usr/bin/javaws
fi
ln -sf /etc/alternatives/javaws /usr/bin/javaws
%endif
ext=
[ -f %{_mandir}/man1/java-%{name}.1.bz2 ] && ext=".bz2"
[ -f %{_mandir}/man1/java-%{name}.1.gz ] && ext=".gz"
update-alternatives --install %{_bindir}/java java %{jrebindir}/java %{priority} \
%ifarch %ix86
--slave %{_bindir}/ControlPanel            ControlPanel                %{jrebindir}/ControlPanel \
--slave %{_datadir}/javaws                 javaws                      %{jrebindir}/javaws \
%endif
--slave %{_jvmdir}/jre                     jre                         %{_jvmdir}/%{jrelnk} \
--slave %{_jvmjardir}/jre                  jre_exports                 %{_jvmjardir}/%{jrelnk} \
--slave %{_bindir}/keytool                 keytool                     %{jrebindir}/keytool \
--slave %{_bindir}/orbd                    orbd                        %{jrebindir}/orbd \
--slave %{_bindir}/policytool              policytool                  %{jrebindir}/policytool \
--slave %{_bindir}/rmid                    rmid                        %{jrebindir}/rmid \
--slave %{_bindir}/rmiregistry             rmiregistry                 %{jrebindir}/rmiregistry \
--slave %{_bindir}/servertool              servertool                  %{jrebindir}/servertool \
--slave %{_bindir}/tnameserv               tnameserv                   %{jrebindir}/tnameserv \
--slave %{_mandir}/man1/java.1$ext         java.1$ext                  %{_mandir}/man1/java-%{name}.1$ext \
--slave %{_mandir}/man1/keytool.1$ext      keytool.1$ext               %{_mandir}/man1/keytool-%{name}.1$ext \
--slave %{_mandir}/man1/orbd.1$ext         orbd.1$ext                  %{_mandir}/man1/orbd-%{name}.1$ext \
--slave %{_mandir}/man1/policytool.1$ext   policytool.1$ext            %{_mandir}/man1/policytool-%{name}.1$ext \
--slave %{_mandir}/man1/rmid.1$ext         rmid.1$ext                  %{_mandir}/man1/rmid-%{name}.1$ext \
--slave %{_mandir}/man1/rmiregistry.1$ext  rmiregistry.1$ext           %{_mandir}/man1/rmiregistry-%{name}.1$ext \
--slave %{_mandir}/man1/servertool.1$ext   servertool.1$ext            %{_mandir}/man1/servertool-%{name}.1$ext \
--slave %{_mandir}/man1/tnameserv.1$ext    tnameserv.1$ext             %{_mandir}/man1/tnameserv-%{name}.1$ext \
--slave %{_mandir}/man1/javaws.1$ext       javaws.1$ext                %{_mandir}/man1/javaws-%{name}.1$ext \
--slave %{_mandir}/man1/kinit.1$ext        kinit.1$ext                 %{_mandir}/man1/kinit-%{name}.1$ext \
--slave %{_mandir}/man1/klist.1$ext        klist.1$ext                 %{_mandir}/man1/klist-%{name}.1$ext \
--slave %{_mandir}/man1/ktab.1$ext         ktab.1$ext                  %{_mandir}/man1/ktab-%{name}.1$ext
update-alternatives --install %{_jvmdir}/jre-%{origin} jre_%{origin} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{origin}        jre_%{origin}_exports     %{_jvmjardir}/%{jrelnk}
update-alternatives --install %{_jvmdir}/jre-%{javaver} jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{javaver}       jre_%{javaver}_exports      %{_jvmjardir}/%{jrelnk}
if [ -d %{_jvmdir}/%{jrelnk}/lib/security ]; then
  # Need to remove the old jars in order to support upgrading, ugly :(
  # update-alternatives fails silently if the link targets exist as files.
  rm -f %{_jvmdir}/%{jrelnk}/lib/security/{local,US_export}_policy.jar
fi
update-alternatives \
  --install \
    %{_jvmdir}/%{jrelnk}/lib/security/local_policy.jar \
    jce_%{javaver}_%{origin}_local_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/local_policy.jar \
    %{priority} \
  --slave \
    %{_jvmdir}/%{jrelnk}/lib/security/US_export_policy.jar \
    jce_%{javaver}_%{origin}_us_export_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/US_export_policy.jar
%ifarch %ix86
if [ -f %{_sysconfdir}/mime.types ]; then
   perl -p -i -e 's|application/x-java-jnlp-file.*||g' %{_sysconfdir}/mailcap.bak 2>/dev/null
   echo "type=application/x-java-jnlp-file; description=\"Java Web Start\"; exts=\"jnlp\"" >> %{_sysconfdir}/mailcap 2>/dev/null
   perl -p -i -e 's|application/x-java-jnlp-file.*||g' %{_sysconfdir}/mime.types 2>/dev/null
   echo "application/x-java-jnlp-file      jnlp" >> %{_sysconfdir}/mime.types 2>/dev/null
fi
%endif
### bad symlinks workaround ###
for ALT in java jre_%{origin} jre-%{javaver} jce_%{javaver}_%{origin}_local_policy jce_%{javaver}_%{origin}_us_export_policy; do
   if [[ $(update-alternatives --display ${ALT} | head -n 1 | grep manual) && 
         $(readlink /etc/alternatives/${ALT} | grep "_update1[23]") ]]; then
        update-alternatives --auto ${ALT}
   fi
done

%post devel
ext=
[ -f %{_mandir}/man1/javac-%{name}.1.bz2 ] && ext=".bz2"
[ -f %{_mandir}/man1/javac-%{name}.1.gz ] && ext=".gz"
update-alternatives --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
--slave %{_jvmdir}/java                     java_sdk                    %{_jvmdir}/%{sdklnk} \
--slave %{_jvmjardir}/java                  java_sdk_exports            %{_jvmjardir}/%{sdklnk} \
--slave %{_bindir}/appletviewer             appletviewer                %{sdkbindir}/appletviewer \
--slave %{_bindir}/extcheck                 extcheck                    %{sdkbindir}/extcheck \
--slave %{_bindir}/idlj                     idlj                        %{sdkbindir}/idlj \
--slave %{_bindir}/jar                      jar                         %{sdkbindir}/jar \
--slave %{_bindir}/jarsigner                jarsigner                   %{sdkbindir}/jarsigner \
--slave %{_bindir}/javadoc                  javadoc                     %{sdkbindir}/javadoc \
--slave %{_bindir}/javah                    javah                       %{sdkbindir}/javah \
--slave %{_bindir}/javap                    javap                       %{sdkbindir}/javap \
--slave %{_bindir}/jdb                      jdb                         %{sdkbindir}/jdb \
--slave %{_bindir}/native2ascii             native2ascii                %{sdkbindir}/native2ascii \
--slave %{_bindir}/rmic                     rmic                        %{sdkbindir}/rmic \
--slave %{_bindir}/serialver                serialver                   %{sdkbindir}/serialver \
--slave %{_bindir}/jconsole                 jconsole                    %{sdkbindir}/jconsole \
--slave %{_bindir}/pack200                  pack200                     %{sdkbindir}/pack200 \
--slave %{_bindir}/unpack200                unpack200                   %{sdkbindir}/unpack200 \
--slave %{_bindir}/HtmlConverter            HtmlConverter               %{sdkbindir}/HtmlConverter \
--slave %{_bindir}/apt                      apt                         %{sdkbindir}/apt \
--slave %{_bindir}/jinfo                    jinfo                       %{sdkbindir}/jinfo \
--slave %{_bindir}/jmap                     jmap                        %{sdkbindir}/jmap \
--slave %{_bindir}/jps                      jps                         %{sdkbindir}/jps \
--slave %{_bindir}/jsadebugd                jsadebugd                   %{sdkbindir}/jsadebugd \
--slave %{_bindir}/jstack                   jstack                      %{sdkbindir}/jstack \
--slave %{_bindir}/jstat                    jstat                       %{sdkbindir}/jstat \
--slave %{_bindir}/jstatd                   jstatd                      %{sdkbindir}/jstatd \
--slave %{_mandir}/man1/appletviewer.1$ext  appletviewer.1$ext          %{_mandir}/man1/appletviewer-%{name}.1$ext \
--slave %{_mandir}/man1/extcheck.1$ext      extcheck.1$ext              %{_mandir}/man1/extcheck-%{name}.1$ext \
--slave %{_mandir}/man1/idlj.1$ext          idlj.1$ext                  %{_mandir}/man1/idlj-%{name}.1$ext \
--slave %{_mandir}/man1/jar.1$ext           jar.1$ext                   %{_mandir}/man1/jar-%{name}.1$ext \
--slave %{_mandir}/man1/jarsigner.1$ext     jarsigner.1$ext             %{_mandir}/man1/jarsigner-%{name}.1$ext \
--slave %{_mandir}/man1/javac.1$ext         javac.1$ext                 %{_mandir}/man1/javac-%{name}.1$ext \
--slave %{_mandir}/man1/javadoc.1$ext       javadoc.1$ext               %{_mandir}/man1/javadoc-%{name}.1$ext \
--slave %{_mandir}/man1/javah.1$ext         javah.1$ext                 %{_mandir}/man1/javah-%{name}.1$ext \
--slave %{_mandir}/man1/javap.1$ext         javap.1$ext                 %{_mandir}/man1/javap-%{name}.1$ext \
--slave %{_mandir}/man1/jdb.1$ext           jdb.1$ext                   %{_mandir}/man1/jdb-%{name}.1$ext \
--slave %{_mandir}/man1/native2ascii.1$ext  native2ascii.1$ext          %{_mandir}/man1/native2ascii-%{name}.1$ext \
--slave %{_mandir}/man1/rmic.1$ext          rmic.1$ext                  %{_mandir}/man1/rmic-%{name}.1$ext \
--slave %{_mandir}/man1/serialver.1$ext     serialver.1$ext             %{_mandir}/man1/serialver-%{name}.1$ext \
--slave %{_mandir}/man1/jconsole.1$ext      jconsole.1$ext              %{_mandir}/man1/jconsole-%{name}.1$ext \
--slave %{_mandir}/man1/pack200.1$ext       pack200.1$ext               %{_mandir}/man1/pack200-%{name}.1$ext \
--slave %{_mandir}/man1/unpack200.1$ext     unpack200.1$ext             %{_mandir}/man1/unpack200-%{name}.1$ext \
--slave %{_mandir}/man1/apt.1$ext           apt.1$ext                   %{_mandir}/man1/apt-%{name}.1$ext \
--slave %{_mandir}/man1/jinfo.1$ext         jinfo.1$ext                 %{_mandir}/man1/jinfo-%{name}.1$ext \
--slave %{_mandir}/man1/jmap.1$ext          jmap.1$ext                  %{_mandir}/man1/jmap-%{name}.1$ext \
--slave %{_mandir}/man1/jps.1$ext           jps.1$ext                   %{_mandir}/man1/jps-%{name}.1$ext \
--slave %{_mandir}/man1/jsadebugd.1$ext     jsadebugd.1$ext             %{_mandir}/man1/jsadebugd-%{name}.1$ext \
--slave %{_mandir}/man1/jstack.1$ext        jstack.1$ext                %{_mandir}/man1/jstack-%{name}.1$ext \
--slave %{_mandir}/man1/jstat.1$ext         jstat.1$ext                 %{_mandir}/man1/jstat-%{name}.1$ext \
--slave %{_mandir}/man1/jstatd.1$ext        jstatd.1$ext                %{_mandir}/man1/jstatd-%{name}.1$ext
update-alternatives --install %{_jvmdir}/java-%{origin} java_sdk_%{origin} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{origin}        java_sdk_%{origin}_exports     %{_jvmjardir}/%{sdklnk}
update-alternatives --install %{_jvmdir}/java-%{javaver} java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{javaver}       java_sdk_%{javaver}_exports      %{_jvmjardir}/%{sdklnk}
### bad symlinks workaround ###
for ALT in javac java_sdk_%{origin} java_sdk_%{javaver}; do
   if [[ $(update-alternatives --display ${ALT} | head -n 1 | grep manual) && 
         $(readlink /etc/alternatives/${ALT} | grep "_update1[23]") ]]; then
        update-alternatives --auto ${ALT}
   fi
done
### bad symlinks workaround ###
%ifarch %ix86

%post plugin
  # set link to plugin lib
  ln -sf %{pluginpath}/%{pluginname} %{pluginsdir} 
### bad symlinks workaround ###
for ALT in javaplugin; do
   if [[ $(update-alternatives --display ${ALT} | head -n 1 | grep manual) && 
         $(readlink /etc/alternatives/${ALT} | grep "_update1[23]") ]]; then
        update-alternatives --auto ${ALT}
   fi
done
### bad symlinks workaround ###

%preun plugin
  if [ "$1" = "0" ] ; then
  rm %{pluginsdir}/%{pluginname}
  fi
%endif

%postun
if [ $1 -eq 0 ]; then
  update-alternatives --remove java %{jrebindir}/java
  update-alternatives --remove \
    jce_%{javaver}_%{origin}_local_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/local_policy.jar
  update-alternatives --remove jre_%{origin}  %{_jvmdir}/%{jrelnk}
  update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
fi

%postun devel
if [ $1 -eq 0 ]; then
  update-alternatives --remove javac %{sdkbindir}/javac
  update-alternatives --remove java_sdk_%{origin}  %{_jvmdir}/%{sdklnk}
  update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi

%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%ifarch %ix86
%{_datadir}/applications/jpackage-%{name}-webstart.desktop
%{_datadir}/pixmaps/sun-java-%{version}-%{release}.png
%endif
%doc jre/CHANGES jre/COPYRIGHT jre/LICENSE jre/README
%doc jre/Welcome.html
%dir %{_jvmdir}/%{sdkdir}
%dir %{_datadir}/java-1.5.0-sun
%{jvmjardir}
%{_jvmdir}/%{jredir}/lib/fonts
%dir %{_jvmdir}/%{jredir}/lib/security
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/cacerts
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.policy
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.security
%ifarch %ix86
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/javaws.policy
%endif
%ghost %{_jvmdir}/%{jredir}/lib/security/local_policy.jar
%ghost %{_jvmdir}/%{jredir}/lib/security/US_export_policy.jar
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
%{_jvmprivdir}/*
%{_mandir}/man1/java-%{name}.1*
%{_mandir}/man1/keytool-%{name}.1*
%{_mandir}/man1/orbd-%{name}.1*
%{_mandir}/man1/policytool-%{name}.1*
%{_mandir}/man1/rmid-%{name}.1*
%{_mandir}/man1/rmiregistry-%{name}.1*
%{_mandir}/man1/servertool-%{name}.1*
%{_mandir}/man1/tnameserv-%{name}.1*
%{_mandir}/man1/javaws-%{name}.1*
%{_mandir}/man1/kinit-%{name}.1*
%{_mandir}/man1/klist-%{name}.1*
%{_mandir}/man1/ktab-%{name}.1*

%files devel
%defattr(-,root,root,-)
%doc COPYRIGHT LICENSE README.html
%dir %{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/include
%dir %{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdkdir}/bin/*
%{_jvmdir}/%{sdkdir}/include/*
%{_jvmdir}/%{sdkdir}/lib/*
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}
%{_mandir}/man1/appletviewer-%{name}.1*
%{_mandir}/man1/extcheck-%{name}.1*
%{_mandir}/man1/idlj-%{name}.1*
%{_mandir}/man1/jar-%{name}.1*
%{_mandir}/man1/jarsigner-%{name}.1*
%{_mandir}/man1/javac-%{name}.1*
%{_mandir}/man1/javadoc-%{name}.1*
%{_mandir}/man1/javah-%{name}.1*
%{_mandir}/man1/javap-%{name}.1*
%{_mandir}/man1/jdb-%{name}.1*
%{_mandir}/man1/native2ascii-%{name}.1*
%{_mandir}/man1/rmic-%{name}.1*
%{_mandir}/man1/serialver-%{name}.1*
%{_mandir}/man1/jconsole-%{name}.1*
%{_mandir}/man1/pack200-%{name}.1*
%{_mandir}/man1/unpack200-%{name}.1*
%{_mandir}/man1/apt-%{name}.1*
%{_mandir}/man1/jinfo-%{name}.1*
%{_mandir}/man1/jmap-%{name}.1*
%{_mandir}/man1/jps-%{name}.1*
%{_mandir}/man1/jsadebugd-%{name}.1*
%{_mandir}/man1/jstack-%{name}.1*
%{_mandir}/man1/jstat-%{name}.1*
%{_mandir}/man1/jstatd-%{name}.1*
%ifarch %ix86
#%{cgibindir}/java-rmi-%{version}.cgi
%endif

%files src
%defattr(-,root,root,-)
%{_jvmdir}/%{sdkdir}/src.zip

%files demo
%defattr(-,root,root,-)
%{_datadir}/java-1.5.0-sun/demo

%files alsa -f %{name}-%{version}-alsa.files
%defattr(-,root,root,-)

%files jdbc -f %{name}-%{version}-jdbc.files
%defattr(-,root,root,-)
%ifarch %ix86

%files plugin -f %{name}-%{version}-plugin.files
%defattr(-,root,root,-)
%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop
%ghost %{_datadir}/java-1.5.0-sun/*-plugin-dirs
%endif

%changelog
* Mon Nov 10 2008 - mvyskocil@suse.cz
- timezone update to 1_3_9-2008g (bnc#427616)
  - defined tzversion macro for better maintenance in future.
* Mon Jul 14 2008 - anosek@suse.cz
- updated to 1.5.0u16 (bnc#407935)
- updated timezone data
* Wed Mar 26 2008 - mvyskocil@suse.cz
- update to 1.5.0u15: VUL-0: java: multiple vulnerabilities [bnc#368134]
- CVE-2008-1158: Unspecified vulnerability in the Virtual Machine for
  Sun Java Runtime Environment (JRE) and JDK 6 Update 4 and earlier, 5.0
  Update 14 and earlier, and SDK/JRE 1.4.2_16 and earlier allows remote
  attackers should gain privileges via an untrusted application or applet, a
  different issue than CVE-2008-1186.
- CVE-2008-1186: Unspecified vulnerability in the Virtual Machine for
  Sun Java Runtime Environment (JRE) and JDK 5.0 Update 13 and earlier,
  and SDK/JRE 1.4.2_16 and earlier, allows remote attackers to gain
  privileges via an untrusted application or applet, a different issue
  than CVE-2008-1185.
- CVE-2008-1187: Unspecified vulnerability in Sun Java Runtime
  Environment (JRE) and JDK 6 Update 4 and earlier, 5.0 Update 14 and
  earlier, and SDK/JRE 1.4.2_16 and earlier allows remote attackers to
  cause a denial of service (JRE crash) and possibly execute arbitrary
  code via unknown vectors related to XSLT transforms.
- CVE-2008-1188: Multiple buffer overflows in Java Web Start in Sun
  JDK and JRE 6 Update 4 and earlier, and 5.0 Update 14 and earlier,
  allow remote attackers to execute arbitrary code via unknown vectors,
  a different issue than CVE-2008-1189.
- CVE-2008-1189: Buffer overflow in Java Web Start in Sun JDK and JRE
  6 Update 4 and earlier, 5.0 Update 14 and earlier, and SDK/JRE
  1.4.2_16 and earlier allows remote attackers to execute arbitrary code
  via unknown vectors, a different issue than CVE-2008-1188.
- CVE-2008-1190: Unspecified vulnerability in Java Web Start in Sun
  JDK and JRE 6 Update 4 and earlier, 5.0 Update 14 and earlier, and
  SDK/JRE 1.4.2_16 and earlier allows remote attackers to gain
  privileges via an untrusted application, a different issue than
  CVE-2008-1191.
- CVE-2008-1192: Unspecified vulnerability in the Java Plug-in for Sun
  JDK and JRE 6 Update 4 and earlier, and 5.0 Update 14 and earlier; and
  SDK and JRE 1.4.2_16 and earlier, and 1.3.1_21 and earlier; allows
  remote attackers to bypass the same origin policy and "execute local
  applications" via unknown vectors.
- CVE-2008-1193: Unspecified vulnerability in Java Runtime Environment
  Image Parsing Library in Sun JDK and JRE 6 Update 4 and earlier, and
  5.0 Update 14 and earlier, allows remote attackers to gain privileges
  via an untrusted application.
- CVE-2008-1194: Multiple unspecified vulnerabilities in the color
  management library in Sun JDK and JRE 6 Update 4 and earlier, and 5.0
  Update 14 and earlier, allows remote attackers to cause a denial of
  service (crash) via unknown vectors.
- CVE-2008-1195: Unspecified vulnerability in Sun JDK and Java Runtime
  Environment (JRE) 6 Update 4 and earlier and 5.0 Update 14 and
  earlier; and SDK and JRE 1.4.2_16 and earlier; allows remote attackers
  to access arbitrary network services on the local host via unspecified
  vectors related to JavaScript and Java APIs.
- CVE-2008-1196: Stack-based buffer overflow in Java Web Start
  (javaws.exe) in Sun JDK and JRE 6 Update 4 and earlier and 5.0 Update
  14 and earlier; and SDK and JRE 1.4.2_16 and earlier; allows remote
  attackers to execute arbitrary code via a crafted JNLP file.
* Tue Jan 22 2008 - mvyskocil@suse.cz
- New update - 1.5.0_update14
- The better alternatives script
- Updated the timezone info to 2007k
* Tue Nov 06 2007 - mvyskocil@suse.cz
- Fixed a manual status in /etc/alternatives links after update [#334783]
* Mon Oct 22 2007 - mvyskocil@suse.cz
- Fixed bug [#334783] bad symlinks in /etc/alternatives after update
* Wed Oct 10 2007 - mvyskocil@suse.cz
- update to 1.5.0_update13 [#332137]
  - Fixed vulnerabilities: CVE-2007-5232, CVE-2007-5236, CVE-2007-523, CVE-2007-523, CVE-2007-5240
* Fri Jun 22 2007 - dbornkessel@suse.de
- update time zone data to 2007f (Bug #271324)
* Tue Jun 19 2007 - dbornkessel@suse.de
- Fixes Bug #271324 / Java 1.5
  - Changes in 1.5.0_12
  - The full internal version number for this update release is 1.5.0_12-b04 (where "b" means "build"). The external version number is 5.0u12.
  Security Baseline
  - For more information about the security baseline, see Deploying Java Applets With Family JRE Versions in Java Plug-in for Internet Explorer .
  - OlsonData 2007e
  - This release contains Olson time zone data version 2007e. For more information, see US DST Timezone Updater.
  - JVM Option Switch
  - -XX:-UseVMInterruptibleIO
  - Bug fixes are listed in the following table.
   - crash compiling com.sun.jndi.ldap.sasl.LdapSasl::saslBind
   - Additional path for 5.0 jvm crash on exhaustion of CodeBuffer
   - Deoptimization code of Java 1.5.x looks leaking memory.
   - The result type of Class.getModifiers is labeled as a "boolean" to the optimizer instead of "int"
   - Incorrect displacement check for short branches.
   - PartialSubtypeCheckNode without a control edge could get scheduled too high (5.0)
   - 1.5.0_05 crash in method::handler_for_exception_and_pc
   - SEGV on solaris-i586 -server running ConcurrentQueueLoops
   - Performance: java.lang.Class.isAssignable
   - Allocation of huge array which would cause OutOfMemoryError causes JVM to hang with -Xincgc
   - CMS: deal correctly with concurrently cleared or enqueued Reference objects
   - JVM reports EXCEPTION_FLT_STACK_CHECK when calling a Java method through JNI
   - Adjustment jprt rules
   - JDK 1.5 should flush metrics caches when using alternate composite fonts
   - REGRESSION: GUI fails to paint text with large heap size setting
   - PrintServices are incorrectly listed as "not accepting jobs"
   - SharedMemoryPixmapsTest.sh failed on 5.0u12b02 but passed on previous one
   - XtVaSetValues call does not work when running in 64-bit Java 1.5 on Linux
   - No keyboard focus in a focusable JWindow
   - incorrect backoff in the process of dispatching lw requests queue
   - (process) Runtime.exec won't execute programs belonging to other groups on Unix
   - (ann) Method.getAnnotations() sometimes throw SecurityException: doPrivileged or javadoc missing?
   - TEST_BUG: several tests fail because TESTVMOPTS are passed to javac directly
   - 30 MB memory trashed to get 30 kb string url encoded
   - https connections failing when connecting through a proxy
   - (so) Ports opened with ServerSocketChannel blocks when using Runtime.exec
   - Remove GTE CyberTrust root CA cert after it expires
   - CR 4964288 (sound, Unexpected IAE raised while getting TargetData) is not fixed in windows-amd64 JDK
   - api/javax_sound/sampled/TargetDataLine/index.html#TargetDataLine fails
   - REGRESSION: problems with 1.5.0 action listeners
   - JFileChooser does not work properly with File selection when filter is changed
   - GTKLAF:Check mark/bullet is not visible for selected checkbox & radio menu items in disabled state.
   - different behavior on knob of scroll bar between 1.4.2 and 5.0
   - javax/swing/AbstractButton/6298940/bug6298940.java failed against 1.5.0_12_01 but passed on 1.5.0_11
   - JFileChooser seems to cause OutOfMemory in 1.4.2, 5.0u4 and mustang-b75
   - JFileChooser throws OOM in 1.4.2, 5.0u4 and 1.6.0
   - (tz) DST bug in latest jdk releases when using EST MST and HST abbreviations
   - Deadlock in Exchanger
   - Synchronizer timed acquire still leaks memory
   - Please delete or modify test/java/util/TimeZone/4261506 test
   - Slovenian currency change
   - (tz) Support tzdata2007e
   - ZipInputStream does not check CRC for stored (uncompressed) files
   - deadlock occurs in LogManager initialization and JVM termination
   - offline non -s installer pops up "internal error 2762" after clicking "finish"
   - Truncated localized texts in finish dialog
   - [ko]Translation of 'Certificate' is inconsistent
   - Full date format in DateFormat does not include day of the week for UK locale
   - The week day for Saturday and the first week day in Romania locale are incorrect
   - [ja] wrong translation in Java Update warning message
   - getFirstDayOfWeek() not works correctly for Slovak locale
   - en_ZA local has unusable time format
   - [Fmt-Nu] Formatting of percents incorrect for some locales
   - incorrect french localization for GY country code
   - incorrect french localization for GF country code
   - localized DateFormatSymbols for fr_FR is wrong
   - Danish Translation of the word Danish is wrong
   - Add Eras for Dutch LocaleElements
   - Wrong first day of week for Croatian locale
   - SA: jmap -histo reports wrong histogram with CMS
   - OutOfMemoryError - Stack Trace missing
   - Applet HTML generated by HTML converter tool crashes the new IE7
   - Browser window is not blocked by the modal dialog
   - IE Window and Dialogue are displayed in different order from the order of button click.
   - IE browser thread dead after modal dialog created from liveconnect in another window
   - IE hangs when a modal dialog is active with concurrent window re-focus activities
   - applet hang when try to reload a page with the applets in a frame
   - JVM crashes when IE windows are opened and closed so many times thru JavaScript in 5.0u10
   - Applets freeze in 5u7 on XP Japanese
   - Java to support Firefox browser
   - Regression: declaring a a duplicate Namespace mapping to an exisitng prefix:URI throws an Exception
   - com.sun.org.apache.xalan.internal.xsltc.dom.XSLTCDTMManager does not demand namespace-prefixes
   - Null Pointer Exception in Java 1.5
   - Memory Leak in XSL Transform leading to OutOfMemory Exception
   - RMIConnectorServer.stop: deadlock
   - sloppy developer missed testcase when fixing 6490790
* Thu Dec 21 2006 - dbornkessel@suse.de
- Security update to 1.5.0 update 10.
  Bug #229905 ... more info on SUN security advise page:
  http://sunsolve.sun.com/search/document.do?assetkey=1-26-102731-1
* Wed Nov 15 2006 - dbornkessel@suse.de
- Changed
  PreReq: /usr/sbin/update-alternatives
  to
  PreReq: update-alternatives
* Wed Sep 13 2006 - dbornkessel@suse.de
- Version naming in sun style (1.5.0_update8)
* Wed Sep 13 2006 - dbornkessel@suse.de
- update to 1.5.0 update 8
* Wed Aug 30 2006 - dbornkessel@suse.de
- added NoSource
* Wed Aug 16 2006 - sndirsch@suse.de
- fixed fontpaths for X.Org 7
* Mon May 29 2006 - dbornkessel@suse.de
- Security update to 1.5.0 update 7, due to security advise CVE-2006-2426 / Bug #177092:
  Sun Java Runtime Environment (JRE) 1.5.0_6 and earlier, JDK 1.5.0_6
  and earlier, and SDK 1.5.0_6 and earlier allows remote attackers to
  cause a denial of service (disk consumption) by using the
  Font.createFont function to create temporary files of arbitrary size
  in the %%temp%% directory.
* Mon Mar 27 2006 - dbornkessel@suse.de
- provide j2re and j2sdk (Bug #160109)
- provides jndi and some other stuff with reales-less versions
* Fri Mar 17 2006 - dbornkessel@suse.de
- added versionless jdbc provide:
  Provides:       %%{name}-jdbc = %%{version}, %%{name}-jdbc,  java-jdbc = %%{version}, java-jdbc
* Wed Mar 15 2006 - dbornkessel@suse.de
- added missing
  Provides:       jre1.1.x jre1.2.x jre1.3.x jre1.4.x jre1.5.x
  Obsoletes:      java2-jre
  Provides:       java2-jre
* Mon Mar 13 2006 - dbornkessel@suse.de
- added missing PreReq: /usr/sbin/update-alternatives
* Mon Feb 13 2006 - schwab@suse.de
- Fix %%pluginpath.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 05 2005 - dbornkessel@suse.de
- updated to 1.5.0 Update 6 due to security Bug #135835
* Tue Nov 22 2005 - dbornkessel@suse.de
- added plugin link to /usr/lib/browser-plugins
- added correct javaws link
- added menu entries for plugin config tool and javaws
- updated package descriptions in pdb
* Wed Oct 05 2005 - dbornkessel@suse.de
- update to release 05
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Wed May 18 2005 - skh@suse.de
- update to release 03 (fixes #63780, incompatibility between javaws
  and glibc)
* Mon Apr 25 2005 - skh@suse.de
- use correct directory name as %%{jvmjardir} (#77925)
* Fri Mar 18 2005 - skh@suse.de
- add fontconfig.SuSE.properties with correct font configuration for
  korean, japanese and chinese
- follow jpackage conventions for directory naming
* Wed Feb 23 2005 - ro@suse.de
- BuildArch -> ExclusiveArch
* Tue Feb 22 2005 - skh@suse.de
- merge x86_64 and ix86 packages
* Mon Feb 21 2005 - skh@suse.de
- initial package
